Index: code/branches/fabienHS15/data/levels/includes/invaderWeapon.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/invaderWeapon.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/invaderWeapon.oxi	(revision 10791)
@@ -7,5 +7,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -25,3 +25,6 @@
         </links>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/invaderWeaponEnemy.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/invaderWeaponEnemy.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/invaderWeaponEnemy.oxi	(revision 10791)
@@ -7,5 +7,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -25,3 +25,6 @@
         </links>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/towerWeaponSettings.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/towerWeaponSettings.oxi	(revision 10746)
+++ 	(revision )
@@ -1,55 +1,0 @@
-     <weaponslots>
-      <WeaponSlot position="-15.0,-1.5,0" />
-      <WeaponSlot position=" 15.0,-1.5,0" />
-      <WeaponSlot position="    0,   0,0" />
-    </weaponslots>
-    <weaponsets>
-      <WeaponSet firemode=0 />
-      <WeaponSet firemode=1 />
-      <WeaponSet firemode=2 />
-      <WeaponSet firemode=3 />
-    </weaponsets>
-    <weapons>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
-          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
-          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
-          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
-        </links>
-        <Weapon>
-          <attached>
-            <Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,-1.3,200" scale=1/>
-            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,200" scale=1 />
-            <Model mesh="hs-w01_reduced.mesh" roll="45" pitch="-76" yaw="-45" position="-1.5,1,200" scale=10 />
-          </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.005 damage=31.4159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=314.159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
-        </Weapon>
-        
-        <Weapon>
-          <attached>
-            <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" />
-            <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" />
-            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
-          </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
-        </Weapon>
-        <Weapon>
-          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
-          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
-        </Weapon>
-        
-      </WeaponPack>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
-        </links>
-        <!--Weapon>
-          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
-        </Weapon-->
-      </WeaponPack>
-    </weapons>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 10791)
@@ -10,5 +10,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -43,3 +43,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>    
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff2.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff2.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsAssff2.oxi	(revision 10791)
@@ -9,6 +9,6 @@
       <WeaponSet firemode=2 />
       <WeaponSet firemode=3 />
-    </weaponsets>
-    <weapons>
+    </weaponsets> 
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -41,3 +41,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsCollateral.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsCollateral.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsCollateral.oxi	(revision 10791)
@@ -10,5 +10,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -45,3 +45,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>    
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsEscort.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsEscort.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsEscort.oxi	(revision 10791)
@@ -7,5 +7,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -15,9 +15,7 @@
         <Weapon>
           <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam2.mesh" />
-          <!--HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" projectileMesh="LaserBeam2.mesh" /-->
         </Weapon>
         <Weapon>
           <HsW01 mode=0 munitionpershot=1 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="LaserBeam2.mesh" />
-          <!--HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" projectileMesh="LaserBeam2.mesh" /-->
         </Weapon>
       </WeaponPack>
@@ -27,3 +25,6 @@
         </links>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+    </munition>      
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsFPS.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsFPS.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsFPS.oxi	(revision 10791)
@@ -11,5 +11,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack firemode=0>
         <links>
@@ -49,3 +49,7 @@
         /-->
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5 replenishamount=1 replenishinterval=0.5/>
+      <LightningMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=8 />
+    </munition>    
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsFPS_HS14.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsFPS_HS14.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsFPS_HS14.oxi	(revision 10791)
@@ -11,5 +11,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack firemode=0>
         <links>
@@ -49,3 +49,7 @@
         /-->
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=5 replenishamount=1 replenishinterval=0.5/>
+      <LightningMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=8 />
+    </munition>      
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsFS15.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsFS15.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsFS15.oxi	(revision 10791)
@@ -12,5 +12,5 @@
   <WeaponSet firemode=4 />
 </weaponsets>
-<weapons>
+<weaponpacks>
   <WeaponPack>
     <links>
@@ -49,3 +49,9 @@
     </Weapon-->
   </WeaponPack>
-</weapons>
+</weaponpacks>
+<munition>
+  <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+  <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+  <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+  <GravityBombMunition initialmagazines=3 maxmagazines=3 munitionpermagazine=1 />
+</munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsGhost.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsGhost.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsGhost.oxi	(revision 10791)
@@ -11,5 +11,5 @@
       <WeaponSet firemode=2 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -35,3 +35,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsH2.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsH2.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsH2.oxi	(revision 10791)
@@ -8,5 +8,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -42,4 +42,7 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=10 maxmagazines=10 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+    </munition>
 
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsHXY.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsHXY.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsHXY.oxi	(revision 10791)
@@ -7,5 +7,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -24,3 +24,7 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=10 maxmagazines=10 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+    </munition> 
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsHeartAttack.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsHeartAttack.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsHeartAttack.oxi	(revision 10791)
@@ -11,5 +11,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -40,11 +40,9 @@
         </Weapon>
       </WeaponPack>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
-        </links>
-        <!--Weapon>
-          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
-        </Weapon-->
-      </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=0.25/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=1 />
+      <GravityBombMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiser.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiser.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiser.oxi	(revision 10791)
@@ -10,5 +10,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -43,11 +43,8 @@
         </Weapon>
       </WeaponPack>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
-        </links>
-        <!--Weapon>
-          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
-        </Weapon-->
-      </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiserBody.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiserBody.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsHeavyCruiserBody.oxi	(revision 10791)
@@ -10,5 +10,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -45,3 +45,8 @@
         </Weapon-->
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsImmTest.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsImmTest.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsImmTest.oxi	(revision 10791)
@@ -10,5 +10,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -55,3 +55,8 @@
         </Weapon-->
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsPirate.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsPirate.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsPirate.oxi	(revision 10791)
@@ -7,5 +7,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -22,3 +22,6 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsRing.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsRing.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsRing.oxi	(revision 10791)
@@ -1,30 +1,35 @@
-<weaponslots>
-  <WeaponSlot position="11,0,-7" />
-  <WeaponSlot position="0,0,-7" />
-  <WeaponSlot position="-11,0,-7" />
-</weaponslots>
-<weaponsets>
-  <WeaponSet firemode=0 />
-  <WeaponSet firemode=1 />
-  <WeaponSet firemode=2 />
-</weaponsets>
-<weapons>
-  <WeaponPack>
-    <links>
-      <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
-      <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
-      <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
-    </links>
-    <Weapon>
-      <LaserFire mode=0 munitionpershot=1 damage=10 shielddamage=5 />
-      <IceGun mode=1 munitionpershot=1 delay=0.125 damage=9.3 muzzleoffset="11,0,-3" freezefactor=0.5 freezetime=2.0 />
-    </Weapon>
-    <Weapon>
-      <LaserFire mode=0 munitionpershot=1 damage=10 shielddamage=5 />
-      <IceGun mode=1 munitionpershot=1 delay=0.125 damage=9.3 muzzleoffset=" -11,0,-3" freezefactor=0.5 freezetime=2.0 />
-    </Weapon>
-    <Weapon>
-      <GravityBombFire mode=2 munitionpershot=1 delay=0.125 damage=3 muzzleoffset="0,0,-7"/>
-    </Weapon>
-  </WeaponPack>
-</weapons>
+    <weaponslots>
+      <WeaponSlot position="11,0,-7" />      
+      <WeaponSlot position="-11,0,-7" />
+      <WeaponSlot position="0,0,-7" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
+    </weaponsets>
+    <weaponpacks>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+        </links>
+        <Weapon>
+          <LaserFire mode=0 munitionpershot=1 damage=10 shielddamage=5 />
+          <IceGun mode=1 munitionpershot=1 delay=0.125 damage=9.3 muzzleoffset="11,0,-3" freezefactor=0.5 freezetime=2.0 />
+        </Weapon>
+        <Weapon>
+          <LaserFire mode=0 munitionpershot=1 damage=10 shielddamage=5 />
+          <IceGun mode=1 munitionpershot=1 delay=0.125 damage=9.3 muzzleoffset=" -11,0,-3" freezefactor=0.5 freezetime=2.0 />
+        </Weapon>
+        <Weapon>
+          <GravityBombFire mode=2 munitionpershot=1 delay=0.125 damage=3 muzzleoffset="0,0,-7"/>
+        </Weapon>
+      </WeaponPack>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+      <GravityBombMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=1 />
+      <IceMunition initialmagazines=16 maxmagazines=16 munitionpermagazine=1 />
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsSpacecruiser.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsSpacecruiser.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsSpacecruiser.oxi	(revision 10791)
@@ -14,5 +14,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -87,3 +87,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=0.2/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsSwallow.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsSwallow.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsSwallow.oxi	(revision 10791)
@@ -8,5 +8,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -23,3 +23,7 @@
         </Weapon>       
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <SplitMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsTransporter.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsTransporter.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsTransporter.oxi	(revision 10791)
@@ -7,5 +7,5 @@
       <WeaponSet firemode=1 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -24,3 +24,7 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=20 maxmagazines=20 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsTurret.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsTurret.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsTurret.oxi	(revision 10791)
@@ -5,5 +5,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -20,3 +20,6 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsTurret1.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsTurret1.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsTurret1.oxi	(revision 10791)
@@ -5,5 +5,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -20,3 +20,6 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+    </munition>
Index: code/branches/fabienHS15/data/levels/includes/weaponSettingsbigship.oxi
===================================================================
--- code/branches/fabienHS15/data/levels/includes/weaponSettingsbigship.oxi	(revision 10746)
+++ code/branches/fabienHS15/data/levels/includes/weaponSettingsbigship.oxi	(revision 10791)
@@ -10,5 +10,5 @@
       <WeaponSet firemode=3 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -46,3 +46,8 @@
         </Weapon-->
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=12 maxmagazines=12 munitionpermagazine=10 replenishamount=1 replenishinterval=0.4/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/fabienHS15/data/levels/templates/pickupRepresentationTemplates.oxt
===================================================================
--- code/branches/fabienHS15/data/levels/templates/pickupRepresentationTemplates.oxt	(revision 10746)
+++ code/branches/fabienHS15/data/levels/templates/pickupRepresentationTemplates.oxt	(revision 10791)
@@ -839,5 +839,5 @@
             <WeaponSet firemode=0 />
         </weaponsets>
-        <weapons>
+        <weaponpacks>
             <WeaponPack>
                 <links>
@@ -853,5 +853,8 @@
                 </Weapon>
             </WeaponPack>
-        </weapons>
+        </weaponpacks>
+        <munition>
+            <LaserMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=10 replenishamount=1 replenishinterval=0.5/>
+        </munition>
     </Drone>
 </Template>
Index: code/branches/fabienHS15/data/levels/towerDefense.oxw
===================================================================
--- code/branches/fabienHS15/data/levels/towerDefense.oxw	(revision 10746)
+++ code/branches/fabienHS15/data/levels/towerDefense.oxw	(revision 10791)
@@ -60,5 +60,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -69,5 +69,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10 replenishamount=1 replenishinterval=0.3/>
+    </munition>
   </TowerDefenseTower>
 </Template>
@@ -97,5 +100,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -106,5 +109,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <LightningMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
     <attached>
       <Backlight position="0,0,0" scale=2.0 colour="0.4, 0.0, 1.0" width=10 length=10 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
@@ -137,5 +143,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -146,5 +152,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <SplitMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
   </TowerDefenseTower>
 </Template>
@@ -174,5 +183,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -183,5 +192,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <RocketMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
       <attached>
       <ParticleSpawner position="0,0,0" source="Orxonox/sparks" lifetime=3.0 autostart=1 loop=1 />
@@ -214,5 +226,5 @@
       <WeaponSet firemode=0 />
     </weaponsets>
-    <weapons>
+    <weaponpacks>
       <WeaponPack>
         <links>
@@ -223,5 +235,8 @@
         </Weapon>
       </WeaponPack>
-    </weapons>
+    </weaponpacks>
+    <munition>
+      <IceMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+    </munition>
   </TowerDefenseTower>
 </Template>