Index: code/branches/fabienHS15/data/overlays/jumpHUD.oxo
===================================================================
--- code/branches/fabienHS15/data/overlays/jumpHUD.oxo	(revision 10791)
+++ code/branches/fabienHS15/data/overlays/jumpHUD.oxo	(revision 10794)
@@ -37,21 +37,5 @@
      showFuel = false
      showMessages = true
-    />    
-
-  <HUDBar
-     name          = "SpeedBar1"
-     background    = "Orxonox/BarBackground"
-     size          = "0.35, 0.05"
-     position      = "0.0 , 1.0 "
-     pickpoint     = "0, 1"
-     correctaspect = false
-
-     initialvalue = 50
-
-     >
-      <BarColour position = 0.0 colour = "0.7,0.5,0.2" />
-      <BarColour position = 0.5 colour = "0.2,0.7,0.2" />
-      <BarColour position = 1.0 colour = "0.7,0.2,0.2" />
-    </HUDBar>
+    />
 
   </OverlayGroup>
Index: code/branches/fabienHS15/src/modules/overlays/hud/HUDWeapon.cc
===================================================================
--- code/branches/fabienHS15/src/modules/overlays/hud/HUDWeapon.cc	(revision 10791)
+++ code/branches/fabienHS15/src/modules/overlays/hud/HUDWeapon.cc	(revision 10794)
@@ -112,4 +112,11 @@
     {
         SUPER(HUDWeapon, changedVisibility);
+
+        bool visible = this->isVisible();
+
+        for (std::vector<WeakPtr<HUDWeaponMode> >::iterator it = hudWeaponModes_.begin(); it != hudWeaponModes_.end(); ++it)
+        {
+            (*it)->setVisible(visible);
+        }
     }
 
Index: code/branches/fabienHS15/src/modules/overlays/hud/HUDWeaponMode.cc
===================================================================
--- code/branches/fabienHS15/src/modules/overlays/hud/HUDWeaponMode.cc	(revision 10791)
+++ code/branches/fabienHS15/src/modules/overlays/hud/HUDWeaponMode.cc	(revision 10794)
@@ -93,5 +93,5 @@
         textOverlayRight_->setZOrder(600);
 
-        materialNameState_ = "Orxonox/WSHUD_Empty";
+        materialNameState_ = "";
 
         overlayElementReplenish_->setMaterialName("Orxonox/WSHUD_Replenish");
@@ -198,4 +198,6 @@
 
         this->owner_ = orxonox_cast<Pawn*>(this->getOwner());
+
+        materialNameState_ = ""; // Needed to set the material in the tick ater a change of the owner.
     }
 
@@ -212,6 +214,16 @@
         SUPER(HUDWeaponMode, changedVisibility);
 
-        this->textOverlayLeft_->setVisible(this->isVisible());
-        this->textOverlayRight_->setVisible(this->isVisible());
+        bool visible = this->isVisible();
+
+        this->textOverlayLeft_->setVisible(visible);
+        this->textOverlayRight_->setVisible(visible);
+
+        if (visible)
+        {
+            overlayElementIcon_->show();
+            overlayElementReplenish_->show();
+            overlayElementMunition_->show();
+            overlayElementState_->show();
+        }
     }
 
Index: code/branches/fabienHS15/src/modules/overlays/hud/HUDWeaponSystem.cc
===================================================================
--- code/branches/fabienHS15/src/modules/overlays/hud/HUDWeaponSystem.cc	(revision 10791)
+++ code/branches/fabienHS15/src/modules/overlays/hud/HUDWeaponSystem.cc	(revision 10794)
@@ -100,4 +100,11 @@
     {
         SUPER(HUDWeaponSystem, changedVisibility);
+
+        bool visible = this->isVisible();
+
+        for (std::vector<WeakPtr<HUDWeapon> >::iterator it = hudWeapons_.begin(); it != hudWeapons_.end(); ++it)
+        {
+            (*it)->setVisible(visible);
+        }
     }
 
Index: code/branches/fabienHS15/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- code/branches/fabienHS15/src/modules/weapons/projectiles/Rocket.cc	(revision 10791)
+++ code/branches/fabienHS15/src/modules/weapons/projectiles/Rocket.cc	(revision 10794)
@@ -76,5 +76,5 @@
             Model* model = new Model(this->getContext());
             model->setMeshSource("rocket.mesh");
-            model->scale(0.7f);
+            model->scale(1.0f);
             this->attach(model);
 
@@ -187,4 +187,6 @@
         SUPER(Rocket, tick, dt);
 
+        orxout() << "Rocket::tick" << getScale() << endl;
+
         if( this->hasLocalController() )
         {
Index: code/branches/fabienHS15/src/modules/weapons/projectiles/SimpleRocket.cc
===================================================================
--- code/branches/fabienHS15/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 10791)
+++ code/branches/fabienHS15/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 10794)
@@ -76,5 +76,5 @@
             Model* model = new Model(this->getContext());
             model->setMeshSource("rocket.mesh");
-            model->scale(0.7f);
+            model->scale(1.0f);
             this->attach(model);
 
@@ -116,4 +116,6 @@
     {
         SUPER(SimpleRocket, tick, dt);
+
+        orxout() << "SimpleRocket::tick" << getScale() << endl;
 
         if (GameMode::isMaster())
Index: code/branches/fabienHS15/src/modules/weapons/weaponmodes/RocketFire.cc
===================================================================
--- code/branches/fabienHS15/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 10791)
+++ code/branches/fabienHS15/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 10794)
@@ -79,5 +79,5 @@
         rocket->setPosition(this->getMuzzlePosition());
         rocket->setVelocity(this->getMuzzleDirection() * this->speed_);
-        rocket->scale(2);
+        rocket->scale(1.0f);
 
         rocket->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
Index: code/branches/fabienHS15/src/modules/weapons/weaponmodes/SimpleRocketFire.cc
===================================================================
--- code/branches/fabienHS15/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 10791)
+++ code/branches/fabienHS15/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 10794)
@@ -85,4 +85,5 @@
         rocket->setVelocity(this->getMuzzleDirection()*this->speed_);
         rocket->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        rocket->scale(1.0f);
 
         rocket->setDamage(this->damage_);
Index: code/branches/fabienHS15/src/orxonox/weaponsystem/Munition.h
===================================================================
--- code/branches/fabienHS15/src/orxonox/weaponsystem/Munition.h	(revision 10791)
+++ code/branches/fabienHS15/src/orxonox/weaponsystem/Munition.h	(revision 10794)
@@ -43,7 +43,7 @@
         enum Value
         {
-            Share,
-            Stack,
-            Separate
+            Separate, // Every comsuming weapon mode has its own magazine. It is possible that one weapon mode is out of ammo while another still has some.
+            Share, // All comsuming weapon modes take their munition from the same magazine. If this magazine is empty a new one is loaded.
+            Stack // There is only one magazine where all the munition is stored. Use this deployment mode for heavy weapons loke rockets, bombs, ...
         };
     }