Index: code/branches/campaignHS15/data/levels/Campaign1.oxw
===================================================================
--- code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10792)
+++ code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10802)
@@ -73,5 +73,5 @@
     >
 
-    <SpawnPoint name="playerSpawn" team=0 position="<?lua printC(cSpawn) ?>" lookat="<?lua printC(cCenter) ?>" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    <SpawnPoint name="playerSpawn" team=0 position="<?lua printC(cSpawn) ?>" lookat="<?lua printC(cA) ?>" spawnclass=SpaceShip pawndesign=spaceshipescort />
 
     <WorldAmbientSound source="Earth.ogg" looping="true" playOnLoad="true" />
@@ -151,5 +151,5 @@
 
     <GlobalQuest id="quest6">
-        <QuestDescription title="Get back to the Transporter" description="Undock from Station C and get into your Spaceship!" failMessage="" completeMessage="" />
+        <QuestDescription title="Get back for the Showdown" description="Undock from Station C and get into your Spaceship!" failMessage="" completeMessage="" />
         <hints>
         </hints>
@@ -314,4 +314,37 @@
     </EventMultiTrigger>
 
+    <EventMultiTrigger name="readyAfterWave2" activations="1" delay=2 stayactive=true>
+        <events>
+            <trigger>
+                <Trigger mode=and>
+                    <EventTrigger>
+                        <events>
+                            <trigger>
+                                <EventListener event="undockC" />
+                            </trigger>
+                        </events>
+                    </EventTrigger>
+                    <EventTrigger>
+                        <events>
+                            <trigger>
+                                <EventListener event="waveClear2" />
+                            </trigger>
+                        </events>
+                    </EventTrigger>
+                </Trigger>
+            </trigger>
+        </events>
+    </EventMultiTrigger>
+
+    <!-- See the DistanceTrigger attached to the shuttle here! !-->
+
+    <EventMultiTrigger name="wave3" activations="1" delay=12>
+        <events>
+            <trigger>
+                <EventListener event="reachedShuttle" />
+            </trigger>
+        </events>
+    </EventMultiTrigger>
+
     <!-- FIXME: This trigger needs fixing, as endMission can only be called by a Pawn Distance Trigger. Herpaderp.
     Also, the fix proposed in MissionOne does not work anymore... -->
@@ -424,4 +457,27 @@
     </QuestEffectBeacon>
 
+    <QuestEffectBeacon times=1>
+        <effects>
+            <CompleteQuest questId="quest6.1" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="gotPickups" />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+
+    <QuestEffectBeacon times=1>
+        <effects>
+            <CompleteQuest questId="quest6.2" />
+            <CompleteQuest questId="quest6" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="reachedShuttle" />
+            </execute>
+        </events>
+    </QuestEffectBeacon>
+
     <!--NOTIFICATIONS -->
 
@@ -498,5 +554,5 @@
     </SimpleNotification>
 
-    <SimpleNotification broadcast="true" message="Howdy Commander! Ready to kick alien ass?">
+    <SimpleNotification broadcast="true" message="Howdy Commander! Ready to kick some alien ass?">
         <events>
             <trigger>
@@ -557,5 +613,5 @@
             </trigger>
         </events>
-    </SimpleNotification>   
+    </SimpleNotification>
 
     <SimpleNotification broadcast="true" message="It should deal with those pesky invaders!">
@@ -577,4 +633,34 @@
             <trigger>
                 <EventListener event="waveClear2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification broadcast="true" message="Here's some supplies for you. Shoot that crate!">
+        <events>
+            <trigger>
+                <EventListener event="readyAfterWave2" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification broadcast="true" message="Our Intelligence reports one more wave...">
+        <events>
+            <trigger>
+                <EventListener event="reachedShuttle" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification broadcast="true" message="Ready to be a hero, Commander?">
+        <events>
+            <trigger>
+                <EventTrigger stayactive="true" delay=4 >
+                   <events>
+                      <trigger>
+                         <EventListener event="reachedShuttle" />
+                      </trigger>
+                   </events>
+                </EventTrigger>
             </trigger>
         </events>
@@ -756,5 +842,5 @@
             <Model position="0,0,0" mesh="crate.mesh" scale3D="80,5,80" />
             <Billboard position="320,50,320" material="Flares/ringflare2" colour="0.2,0.4,0.8" />
-    	    <DistanceTrigger position="320,50,320" distance="50" target="Pawn" beaconMode="identify" targetname="fpsPlayer" name="undockC"/>
+    	    <DistanceTrigger position="320,50,320" distance="50" target="Pawn" beaconMode="identify" targetname="fpsPlayer" name="undockC" stayactive=true />
             <ForceField active=false position="0,0,0" mode="homogen" diameter="600" forcedirection = "0,-500,0" />
             <!-- TODO: Invisible boundaries to prevent falling off platform -->
@@ -837,4 +923,42 @@
     ?>
 
+    <!-- Box with Pickups. TODO: Pickups! -->
+    <Pawn team=0 name="gotPickups" health=30 position="<?lua print((cC[1]+600) .. ',' .. cC[2] .. ',' .. (cC[3]-600)) ?>" direction="0,-1,0" collisionType=dynamic mass=1000 radarname="Supplies" >
+        <events>
+            <visibility>
+                <EventListener event="readyAfterWave2" />
+            </visibility>
+            <activity>
+                <EventListener event="readyAfterWave2" />
+            </activity>
+        </events>
+        <attached>
+            <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+        </collisionShapes>
+    </Pawn>
+
+    <!-- TODO: these pickups do not work somehow?? their templates are not recognized...
+
+    <PickupSpawner pickup=hugehealthpickup position="<?lua print((cC[1]+600) .. ',' .. cC[2] .. ',' .. (cC[3]-600)) ?>" triggerDistance="10" maxSpawnedItems="1" visible="true">
+        <events>
+            <visibility>
+                <EventListener event="gotPickups" />
+            </visibility>
+        </events>
+    </PickupSpawner>
+
+    <PickupSpawner pickup=mediumspeedpickup position="<?lua print((cC[1]+600) .. ',' .. cC[2] .. ',' .. (cC[3]-600)) ?>" triggerDistance="10" maxSpawnedItems="1"  visible="true">
+        <events>
+            <visibility>
+                <EventListener event="gotPickups" />
+            </visibility>
+        </events>
+    </PickupSpawner>
+
+    -->
+
     <!-- Allies -->
     <?lua
@@ -907,5 +1031,5 @@
     </SpaceShip>
     <?lua end ?>
-    <?lua 
+    <?lua
     enemies = enemies + enemiesIncrease
     end ?>
@@ -918,4 +1042,11 @@
         <attached>
             <DistanceTriggerBeacon name="NPC" />
+            <DistanceTrigger active=false name="reachedShuttle" position="0,0,0" distance=400 target="SpaceShip" beaconMode="exclude" targetname="NPC" stayactive=true>
+                <events>
+                    <activity>
+                        <EventListener event="readyAfterWave2" />
+                    </activity>
+                </events>
+            </DistanceTrigger>
         </attached>
         <controller>